summaryrefslogtreecommitdiff
path: root/sysdeps/i386
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2022-06-05 12:09:02 -0700
committerFangrui Song <maskray@google.com>2022-06-05 12:09:02 -0700
commit7df596a58cdfa763924487b8c275269de3497304 (patch)
tree7b2762ba7b12c0ed07d63cd14109305af04f4cf8 /sysdeps/i386
parent3c23fa9f44fe88d0851e1344fc37ba60e74cb0fc (diff)
downloadglibc-7df596a58cdfa763924487b8c275269de3497304.tar.gz
grep: egrep -> grep -E, fgrep -> grep -F
Newer versions of GNU grep (after grep 3.7, not inclusive) will warn on 'egrep' and 'fgrep' invocations. Convert usages within the tree to their expanded non-aliased counterparts to avoid irritating warnings during ./configure and the test suite. Signed-off-by: Sam James <sam@gentoo.org> Reviewed-by: Fangrui Song <maskray@google.com>
Diffstat (limited to 'sysdeps/i386')
-rw-r--r--sysdeps/i386/configure2
-rwxr-xr-xsysdeps/i386/tst-ld-sse-use.sh6
2 files changed, 4 insertions, 4 deletions
diff --git a/sysdeps/i386/configure b/sysdeps/i386/configure
index af50c5bfab..cbb66097bd 100644
--- a/sysdeps/i386/configure
+++ b/sysdeps/i386/configure
@@ -28,7 +28,7 @@ int _start (void) { int a, b, c; __sync_val_compare_and_swap (&a, b, c); return
EOF
if ! { ac_try='${CC-cc} $CFLAGS $CPPFLAGS $LDFLAGS $no_ssp
-O0 -nostdlib -nostartfiles
- -S conftest.c -o - | fgrep "__sync_val_compare_and_swap"
+ -S conftest.c -o - | grep -F "__sync_val_compare_and_swap"
1>&5'
{ { eval echo "\"\$as_me\":${as_lineno-$LINENO}: \"$ac_try\""; } >&5
(eval $ac_try) 2>&5
diff --git a/sysdeps/i386/tst-ld-sse-use.sh b/sysdeps/i386/tst-ld-sse-use.sh
index 90000b7fac..1d2c87f4e7 100755
--- a/sysdeps/i386/tst-ld-sse-use.sh
+++ b/sysdeps/i386/tst-ld-sse-use.sh
@@ -35,7 +35,7 @@ rtldobjs="$rtldobjs $(ar t ${objpfx}rtld-libc.a)"
# OBJECT symbols can be ignored.
$READELF -sW ${objpfx}dl-allobjs.os ${objpfx}rtld-libc.a |
-egrep " OBJECT *GLOBAL " |
+grep -E " OBJECT *GLOBAL " |
awk '{if ($7 != "ABS") print $8 }' |
sort -u > "$tmp"
declare -a objects
@@ -59,8 +59,8 @@ while test -n "$objs"; do
done
for o in $rtldobjs; do
ro=$(echo "$objpfx"../*/"$o")
- if $NM -g --defined-only "$ro" | egrep -qs " $s\$"; then
- if ! (echo "$tocheck $objs" | fgrep -qs "$o"); then
+ if $NM -g --defined-only "$ro" | grep -E -qs " $s\$"; then
+ if ! (echo "$tocheck $objs" | grep -F -qs "$o"); then
echo "$o needed for $s"
objs="$objs $o"
fi